be.fgov.ehealth.genericinsurability.core.v1

## Class TransferType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.TransferType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:05:50+01:00",
                 comments="JAXB RI v2.2.11")
      public class TransferType
      extends Object
      implements Serializable

  Java class for TransferType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TransferType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence minOccurs="0">
               <element name="InsuranceOrg" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsuranceOrgType" minOccurs="0"/>
               <element name="TransferDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </sequence>
             <attribute name="Direction" use="required" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}TransferDirectionType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransferDirectionType` | `getDirection()` Gets the value of the direction property.
    `String` | `getInsuranceOrg()` Gets the value of the insuranceOrg property.
    `org.joda.time.DateTime` | `getTransferDate()` Gets the value of the transferDate property.
    `void` | `setDirection(TransferDirectionType value)` Sets the value of the direction property.
    `void` | `setInsuranceOrg(String value)` Sets the value of the insuranceOrg property.
    `void` | `setTransferDate(org.joda.time.DateTime value)` Sets the value of the transferDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransferType

          public TransferType()

  - ### Method Detail

    - #### getInsuranceOrg

          public String getInsuranceOrg()

      Gets the value of the insuranceOrg property.
      Returns:
        possible object is `String`

    - #### setInsuranceOrg

          public void setInsuranceOrg(String value)

      Sets the value of the insuranceOrg property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTransferDate

          public org.joda.time.DateTime getTransferDate()

      Gets the value of the transferDate property.
      Returns:
        possible object is `String`

    - #### setTransferDate

          public void setTransferDate(org.joda.time.DateTime value)

      Sets the value of the transferDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDirection

          public TransferDirectionType getDirection()

      Gets the value of the direction property.
      Returns:
        possible object is `TransferDirectionType`

    - #### setDirection

          public void setDirection(TransferDirectionType value)

      Sets the value of the direction property.
      Parameters:
        `value` - allowed object is `TransferDirectionType`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.